Package org.eclipse.debug.ui

## Interface IDebugEditorPresentation

    public interface IDebugEditorPresentation

A debug model presentation may implement this interface to override standard editor positioning and annotations associated with source code display for stack frames.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addAnnotations​(IEditorPart editorPart, IStackFrame frame)` Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added.
`void` `removeAnnotations​(IEditorPart editorPart, IThread thread)` Removes any debug related annotations from the given editor.

### Method Detail

#### addAnnotations

    boolean addAnnotations​(IEditorPart editorPart,
                           IStackFrame frame)

Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added. When `true` is returned, a call will be made to remove annotations when the source selection is cleared for the stack frame. When `false` is returned, the debugger will position and add standard annotations to the editor, and a corresponding call to remove annotations will not be made. This method is called when the debugger is has opened an editor to display source for the given stack frame.

Parameters:
  `editorPart` - the editor the debugger has opened
  `frame` - the stack frame for which the debugger is displaying source
Returns:
  `true` if annotations were added to the given editor part `false` otherwise

#### removeAnnotations

    void removeAnnotations​(IEditorPart editorPart,
                           IThread thread)

Removes any debug related annotations from the given editor. This method is called when the debugger clears the source selection in an editor opened by the debugger. For example, when a debug session is resumed or terminated.

Parameters:
  `editorPart` - an editor that annotations were added to for a stack frame
  `thread` - the thread for which stack frame annotations were added to the editor